# First-principles phase diagram
from pycalphad import equilibrium, Database, variables as v
import espei as es
from pycalphad import Database, variables as v
from espei.datasets import load_datasets, recursive_glob
from espei.plot import multiplot
from espei.plot import dataplot
from pycalphad.plot.eqplot import eqplot
import matplotlib.pyplot as plt
from array import array
import numpy as np
#import sys   
#sys.setrecursionlimit(100000)
# load the experimental and DFT datasets
datasets = load_datasets(recursive_glob('input-data', '*.json'))

# set up the pycalphad phase diagram calculation
dbf = Database('ag-cu_dft.tdb')
comps = ['AG', 'CU', 'VA']
phases = ['LIQUID', 'FCC_A1']
conds = {v.P: 101325, v.T: (300, 1600, 10), v.X('CU'): (0, 1, 0.01)}

#my_phases = list(dbf.phases.keys())
#eq = equilibrium(dbf, comps, phases, {v.P: 101325, v.T: (500, 1000, 10), v.X('MG'): (0, 1, 0.01)})
#ax = eqplot(eq)
#eqdataplot(eq, datasets)
# plot the phase diagram and data
#dataplot(comps, phases, conds, datasets)
multiplot(dbf, comps, phases, conds, datasets)
plt.savefig('ag-cu_dft_phase_diagram.png')